All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.dataselectors.exceptionhighlighting.html
Class ExceptionHighlightingSelectorPanel

    com.sas.servlet.tbeans.dataselectors.exceptionhighlighting.html.ExceptionHighlightingSelectorPanel

All Implemented Interfaces:
  HttpActionProviderInterface, com.sas.beans.PropertyChangeSource, com.sas.collection.ContentsChangedListener, CancelInterface, com.sas.lang.ObjectDataInterface, com.sas.servlet.tbeans.AJAXControllerURLInterface, ComplexStyleInterface, CompositeComponentInterface, ExceptionHighlightingSelectorKeysInterface, ExceptionHighlightingSelectorStyleKeysInterface, FormViewInterface, RenderableInterface, TemplateInterface, com.sas.servlet.tbeans.TemplateKeyInterface, TransformationInterface, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable, java.util.EventListener

    public class ExceptionHighlightingSelectorPanel

implements CancelInterface, ExceptionHighlightingSelectorKeysInterface, ExceptionHighlightingSelectorStyleKeysInterface

The ExceptionHighlightingSelectorPanel is a TransformationBean™ that generates the appropriate HTML 4.0 to provide a selector panel for enabling conditional highlighting of data values.

The ExceptionHighlightingSelectorPanel is one of several TransformationBeans™ that rely on a set of style classes that are used by default when generating the resulting markup language. For more information on style sheets and the default style classes that apply to this TransformationBean™, refer to the AppDev Studio Developer Site. You'll find a useful reference document entitled Cascading Style Sheets, Images, and TransformationBeans™ as well as the TransformationBeans™ Style Sheet Reference.

Note that the toString() method on this class calls the `write` method, which may have undesirable side effects. See BaseTransformation.toString() for more information. Debuggers often use toString() to show the value of a variable, and this may cause unexpected behavior while debugging

For More Information:

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

Since:
  3.1.4
See Also:
  Serialized Form

Field Summary
`protected Label` | `addImageTextLabel`
`protected Radio` | `addImageTextRadio`
`protected Label` | `applyToLabel`
`protected Radio` | `applyToRadio`
`protected com.sas.servlet.tbeans.html.TabButton` | `colorFontTab`
`protected ChoiceBox` | `conditionChoice`
`protected Label` | `conditionLabel`
`protected Label` | `contextLabel`
`static java.lang.String` | `DEFAULT_REMOTE_SCRIPT_URL` The default URL used for remote scripting.
`static java.lang.String` | `DEFAULT_TEMPLATE_FILE_NAME` The default file name for the template for this panel.
`protected javax.swing.DefaultListModel` | `defaultLevels`
`protected static java.util.HashMap` | `defaultStyleMap`
`protected javax.swing.DefaultListModel` | `defaultValues`
`protected static com.sas.servlet.tbeans.ImmutableStyleInfo` | `EHSCheckStyle`
`protected static com.sas.servlet.tbeans.ImmutableStyleInfo` | `EHSChoiceBoxStyle`
`protected static com.sas.servlet.tbeans.ImmutableStyleInfo` | `EHSColorChoiceBoxStyle`
`protected static com.sas.servlet.tbeans.ImmutableStyleInfo` | `EHSComboBoxStyle`
`protected static com.sas.servlet.tbeans.ImmutableStyleInfo` | `EHSFontChoiceBoxStyle`
`protected static com.sas.servlet.tbeans.ImmutableStyleInfo` | `EHSFontSizeChoiceBoxStyle`
`protected static com.sas.servlet.tbeans.ImmutableStyleInfo` | `EHSLabelStyle`
`protected static com.sas.servlet.tbeans.ImmutableStyleInfo` | `EHSListEditorStyle`
`protected static com.sas.servlet.tbeans.ImmutableStyleInfo` | `EHSListStyle`
`protected static com.sas.servlet.tbeans.ImmutableStyleInfo` | `EHSRadioStyle`
`protected static com.sas.servlet.tbeans.ImmutableStyleInfo` | `EHSTextEntryStyle`
`protected Label` | `fillColorLabel` Components for the color and font tab of edit rule page (editRule html div block)
`protected Label` | `fontLabel`
`protected com.sas.servlet.tbeans.html.FontPicker` | `fontPicker`
`protected Label` | `fontStyleLabel`
`protected Form` | `form`
`protected Label` | `imageLabel`
`protected com.sas.servlet.tbeans.html.ImagePicker` | `imagePicker`
`protected CheckBox` | `imageTextCheck` Components for the images/text selection
`protected com.sas.servlet.tbeans.html.TabButton` | `imageTextTab`
`protected boolean` | `isHorizontal`
`protected boolean` | `isLeftToRight`
`protected boolean` | `locateImages`
`protected ComboBoxView` | `maxValueCombo`
`protected Label` | `maxValueLabel`
`protected ChoiceBox` | `measureChoice`
`protected Label` | `measureLabel` Components for the rule tab of edit rule page (editRule html div block)
`protected MenuBar` | `menuBar`
`protected ComboBoxView` | `minValueCombo`
`protected Label` | `minValueLabel`
`protected java.lang.String` | `overrideFormName`
`protected java.lang.String` | `parameterPrefix`
`protected ChoiceBox` | `positionChoice`
`protected Label` | `positionLabel`
`protected Label` | `previewLabel`
`protected java.lang.String` | `RB_KEY`
`protected java.lang.String` | `remoteAction`
`protected ExceptionHighlightingRuleInterface` | `remoteRule`
`protected Form` | `remoteScriptForm`
`protected java.lang.String` | `remoteScriptURL`
`protected Button` | `resetDefaultLevelsButton`
`protected Button` | `resetDefaultValuesButton`
`protected ChoiceBox` | `rulesChoice`
`protected ListEditor` | `rulesListEditor`
`protected Label` | `rulesListLabel` Components for the rule management page (rulesList html div block)
`protected com.sas.servlet.tbeans.html.TabButton` | `ruleTab`
`protected Button` | `selectLevelsButton`
`protected Label` | `selectLevelsLabel`
`protected TreeView` | `selectLevelsTree` Components for the select levels page
`protected java.lang.Object` | `selectorModel`
`protected Button` | `selectValuesButton`
`protected Label` | `selectValuesLabel`
`protected com.sas.servlet.tbeans.html.TabMenu` | `tabMenu`
`protected TextEntry` | `textEntry`
`protected Label` | `textFontLabel`
`protected com.sas.servlet.tbeans.html.FontPicker` | `textFontPicker`
`protected Label` | `textFontStyleLabel`
`protected Label` | `textLabel`
`protected ComboBoxView` | `valueCombo`
`protected Label` | `valueLabel`
`protected com.sas.servlet.tbeans.valuepicker.ValuePicker` | `valuePicker`
`protected com.sas.storage.valueprovider.ValueProviderInterface` | `valueProvider`
`protected TextEntry` | `valueTextEntry`

Fields inherited from class com.sas.servlet.tbeans.dataselectors.BaseSelectorPanel
`imageLocation, SELECTOR_EXPAND, SELECTOR_EXTERNAL`

Fields inherited from interface com.sas.servlet.tbeans.dataselectors.exceptionhighlighting.html.ExceptionHighlightingSelectorKeysInterface
`EHS_APPLY_TO_LABEL, EHS_APPLY_TO_RADIO, EHS_CONDITION_CHOICE, EHS_CONDITION_LABEL, EHS_CONTEXT_LABEL, EHS_FILL_COLOR_LABEL, EHS_FONT_LABEL, EHS_FONT_PICKER, EHS_FONT_STYLE_LABEL, EHS_IMAGE_LABEL, EHS_IMAGE_SELECTOR, EHS_IMAGETEXT_ADD_LABEL, EHS_IMAGETEXT_ADD_RADIO, EHS_IMAGETEXT_CHECK, EHS_IMAGETEXT_POSITION_CHOICE, EHS_IMAGETEXT_POSITION_LABEL, EHS_MAX_VALUE_COMBO, EHS_MAX_VALUE_LABEL, EHS_MEASURE_CHOICE, EHS_MEASURE_LABEL, EHS_MIN_VALUE_COMBO, EHS_MIN_VALUE_LABEL, EHS_PREVIEW_LABEL, EHS_RULES_CHOICE, EHS_RULES_LIST_EDITOR, EHS_RULES_LIST_LABEL, EHS_SELECT_LEVELS_BUTTON, EHS_SELECT_LEVELS_LABEL, EHS_SELECT_LEVELS_RESET_BUTTON, EHS_SELECT_LEVELS_TREE, EHS_SELECT_VALUES_BUTTON, EHS_SELECT_VALUES_LABEL, EHS_SELECT_VALUES_RESET_BUTTON, EHS_SELECT_VALUES_TREE, EHS_TAB_MENU, EHS_TEXT_FONT_LABEL, EHS_TEXT_FONT_PICKER, EHS_TEXT_FONT_STYLE_LABEL, EHS_TEXT_INPUT, EHS_TEXT_LABEL, EHS_VALUE_COMBO, EHS_VALUE_LABEL, EHS_VALUE_TE, EXCEPTIONHIGHLIGHTINGSELECTOR`

Fields inherited from interface com.sas.servlet.tbeans.dataselectors.exceptionhighlighting.html.ExceptionHighlightingSelectorStyleKeysInterface
`EHS_CHECK_STYLE, EHS_CHOICEBOX_STYLE, EHS_COLOR_CHOICEBOX_STYLE, EHS_COMBOBOX_STYLE, EHS_FONT_CHOICEBOX_STYLE, EHS_FONT_SIZE_CHOICEBOX_STYLE, EHS_LABEL_STYLE, EHS_LIST_EDITOR_STYLE, EHS_LIST_STYLE, EHS_RADIO_STYLE, EHS_TEXT_ENTRY_STYLE`

Constructor Summary
`ExceptionHighlightingSelectorPanel()` Default constructor.
`ExceptionHighlightingSelectorPanel(java.lang.String name)` Constructor.

Method Summary
`protected void` | `_setLocaleDependentProperties(java.util.Locale locale)` protected version of the method for setting locale dependent properties to avoid the overhead of protected method calls in the constructor per defect S0190664.
`protected java.util.Map` | `addCategoriesToMeasureMap(java.util.Map measureMap)`
`protected void` | `addComponents()` Creates the components and add them to the selector template.
`protected void` | `addJSProp(java.lang.StringBuffer props, java.lang.String prefix, java.lang.String propName, boolean propValue)`
`protected void` | `addJSProp(java.lang.StringBuffer props, java.lang.String prefix, java.lang.String propName, java.lang.String propValue)`
`void` | `cancel()` Cancels the command.
`void` | `close()` Base implementation that does nothing.
`void` | `contentsChanged(com.sas.collection.ContentsChangedEvent event)` Reads the values stored in the EventInfo by the ExceptionHighlightingCommand in the process() method (when remote javascript)
`void` | `contentsChanged(java.util.Map info)` The ExceptionHighglightingCommand generates a map of info that is interpreted by this method.
`protected void` | `createEditRuleColorFontComponents()` Create all the visual components for the Color and Font tab of the edit rule page
`protected void` | `createEditRuleComponents()` Create all the visual components for the Rule tab of the edit rule page
`protected void` | `createEditRuleImageTextComponents()` Create all the visual components for the Image and Text tab of the edit rule page
`protected void` | `createRulesListDialogComponents()` Create all the visual components for the rules management page
`protected void` | `createSelectLevelsComponents()` Create all the visual components for the Color and Font tab of the edit rule page
`protected void` | `createSelectValuesComponents()` Create all the visual components for the Color and Font tab of the edit rule page
`protected void` | `createTabComponents()`
`protected ExceptionHighlightingSelectorInterface` | `getAdapter()`
`protected ItemInterface[]` | `getColorsModel()`
`protected ItemInterface[]` | `getFontModel()`
`protected ItemInterface[]` | `getFontSizeModel()`
`protected java.util.List` | `getImagesModel()`
`protected javax.swing.ListModel` | `getLocalizedAddImageTextRadioModel()`
`protected javax.swing.ListModel` | `getLocalizedApplyToRadioModel()`
`protected javax.swing.DefaultComboBoxModel` | `getLocalizedImageTextPositionModel()`
`java.lang.String` | `getRemoteScriptParameterPrefix()`
`protected java.lang.String` | `getRemoteScriptURL()`
`java.lang.Object` | `getSelectorModel()` Returns the selector's data model
`java.lang.String` | `getValuePickerAJAXControllerURL()`
`void` | `getValuePickerDialog(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, ExceptionHighlightingSelectorPanel panel)`
`protected void` | `initializeMenuBar()`
`protected void` | `initJavaScriptVariables(java.io.PrintWriter out)`
`protected javax.swing.ComboBoxModel` | `ListToComboModel(java.util.List list)`
`protected javax.swing.ComboBoxModel` | `MapToComboModel(java.util.Map map, java.lang.String instructions)`
`static void` | `refreshValuePicker(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`static void` | `refreshValuePicker(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, ExceptionHighlightingSelectorPanel ehPanel)`
`static void` | `servletInvocationMethod(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` | `setActionProvider(HttpActionProvider ap)` Sets the HttpActionProvider object
`protected void` | `setComponentValues()`
`void` | `setFormName(java.lang.String formName)` Allow to set a form name other than the one built internally if necessary
`protected void` | `setLocaleDependentProperties(java.util.Locale locale)` Sets the locale dependent properties.
`void` | `setRemoteScriptParameterPrefix(java.lang.String prefix)`
`void` | `setRemoteScriptURL(java.lang.String remoteScriptURL)`
`void` | `setSelectorModel(java.lang.Object selectorModel)` Sets the selector's data model
`protected static void` | `setupDefaultStyleMap()`
`void` | `setValuePickerAJAXControllerURL(java.lang.String ajaxControllerURL)`
`protected void` | `setValuePickerValues()`
`protected void` | `styleCombo(ComboBoxView combo)`
`protected void` | `updateRuleContext(java.io.PrintWriter out, ExceptionHighlightingRuleInterface rule)`
`void` | `write(java.io.PrintWriter out)` From DataSelectorInterface
`protected void` | `writeJSIncludes(java.io.PrintWriter out)`
`void` | `writeRemoteScriptCommands(java.io.PrintWriter out)` Subclasses must implement this method to provide functionality for panels to react to remote script events.
`protected void` | `writeRemoteScriptForm(java.io.PrintWriter out)`

Methods inherited from class com.sas.servlet.tbeans.dataselectors.html.SelectorPanel
`getAdditionalParameters, getDefaultFormObject, getFormObject, getIframeName, isFormEnabled, setAdditionalParameter, setAdditionalParameters, setFormEnabled, setFormObject, setIframeName, writeRemoteScriptFrame, writeSelectorPanelFooter, writeSelectorPanelHeader`

Methods inherited from class com.sas.servlet.tbeans.dataselectors.BaseSelectorPanel
`getActionProvider, getCommandId, getImageLocation, getSelector, setCommandId, setImageLocation, setSelector`

Methods inherited from class com.sas.servlet.tbeans.BaseCompositeTransformation
`applyTemplate, applyTemplate, getComponent, getComponents, getDefaultTemplate, getStyleInfo, getStyleMap, getTemplate, getTemplateDictionary, getTemplateFileName, getTemplateLocation, getVisibleComponents, isFlushEnabled, propertyChange, removeComponent, setCleanUpResourcesOn, setComponent, setFlushEnabled, setId, setLocale, setRequest, setResponse, setStyleInfo, setTemplate, setTemplate, setTemplateDictionary, setTemplateFileName, setTemplateLocation, writeTemplate`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCustomAttributes, setInputTransform, setName, setObjectData, setObjectDataProperty, setOutputTransform, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderInterface
`getRequest`

Field Detail

### form

    protected Form form

### overrideFormName

    protected java.lang.String overrideFormName

### selectorModel

    protected java.lang.Object selectorModel

### parameterPrefix

    protected java.lang.String parameterPrefix

### locateImages

    protected boolean locateImages

### remoteScriptForm

    protected Form remoteScriptForm

### remoteScriptURL

    protected java.lang.String remoteScriptURL

### remoteAction

    protected java.lang.String remoteAction

### remoteRule

    protected ExceptionHighlightingRuleInterface remoteRule

### defaultLevels

    protected javax.swing.DefaultListModel defaultLevels

### defaultValues

    protected javax.swing.DefaultListModel defaultValues

### DEFAULT_REMOTE_SCRIPT_URL

    public static java.lang.String DEFAULT_REMOTE_SCRIPT_URL

  The default URL used for remote scripting.

### RB_KEY

    protected java.lang.String RB_KEY

### isLeftToRight

    protected boolean isLeftToRight

### isHorizontal

    protected boolean isHorizontal

### DEFAULT_TEMPLATE_FILE_NAME

    public static final java.lang.String DEFAULT_TEMPLATE_FILE_NAME

  The default file name for the template for this panel. "ExceptionHighlightingSelectorPanel.html"

  See Also:
    Constant Field Values

### rulesListLabel

    protected Label rulesListLabel

  Components for the rule management page (rulesList html div block)

### rulesListEditor

    protected ListEditor rulesListEditor

### contextLabel

    protected Label contextLabel

### previewLabel

    protected Label previewLabel

### measureLabel

    protected Label measureLabel

  Components for the rule tab of edit rule page (editRule html div block)

### conditionLabel

    protected Label conditionLabel

### valueLabel

    protected Label valueLabel

### minValueLabel

    protected Label minValueLabel

### maxValueLabel

    protected Label maxValueLabel

### applyToLabel

    protected Label applyToLabel

### rulesChoice

    protected ChoiceBox rulesChoice

### measureChoice

    protected ChoiceBox measureChoice

### conditionChoice

    protected ChoiceBox conditionChoice

### valueCombo

    protected ComboBoxView valueCombo

### valueTextEntry

    protected TextEntry valueTextEntry

### minValueCombo

    protected ComboBoxView minValueCombo

### maxValueCombo

    protected ComboBoxView maxValueCombo

### applyToRadio

    protected Radio applyToRadio

### selectLevelsButton

    protected Button selectLevelsButton

### selectValuesButton

    protected Button selectValuesButton

### resetDefaultLevelsButton

    protected Button resetDefaultLevelsButton

### resetDefaultValuesButton

    protected Button resetDefaultValuesButton

### menuBar

    protected MenuBar menuBar

### fillColorLabel

    protected Label fillColorLabel

  Components for the color and font tab of edit rule page (editRule html div block)

### fontLabel

    protected Label fontLabel

### fontStyleLabel

    protected Label fontStyleLabel

### fontPicker

    protected com.sas.servlet.tbeans.html.FontPicker fontPicker

### imageTextCheck

    protected CheckBox imageTextCheck

  Components for the images/text selection

### addImageTextLabel

    protected Label addImageTextLabel

### addImageTextRadio

    protected Radio addImageTextRadio

### positionLabel

    protected Label positionLabel

### positionChoice

    protected ChoiceBox positionChoice

### textLabel

    protected Label textLabel

### textEntry

    protected TextEntry textEntry

### textFontLabel

    protected Label textFontLabel

### textFontStyleLabel

    protected Label textFontStyleLabel

### textFontPicker

    protected com.sas.servlet.tbeans.html.FontPicker textFontPicker

### imageLabel

    protected Label imageLabel

### imagePicker

    protected com.sas.servlet.tbeans.html.ImagePicker imagePicker

### tabMenu

    protected com.sas.servlet.tbeans.html.TabMenu tabMenu

### ruleTab

    protected com.sas.servlet.tbeans.html.TabButton ruleTab

### colorFontTab

    protected com.sas.servlet.tbeans.html.TabButton colorFontTab

### imageTextTab

    protected com.sas.servlet.tbeans.html.TabButton imageTextTab

### selectLevelsTree

    protected TreeView selectLevelsTree

  Components for the select levels page

### valuePicker

    protected com.sas.servlet.tbeans.valuepicker.ValuePicker valuePicker

### selectLevelsLabel

    protected Label selectLevelsLabel

### selectValuesLabel

    protected Label selectValuesLabel

### valueProvider

    protected com.sas.storage.valueprovider.ValueProviderInterface valueProvider

### defaultStyleMap

    protected static final java.util.HashMap defaultStyleMap

### EHSLabelStyle

    protected static final com.sas.servlet.tbeans.ImmutableStyleInfo EHSLabelStyle

### EHSTextEntryStyle

    protected static final com.sas.servlet.tbeans.ImmutableStyleInfo EHSTextEntryStyle

### EHSListStyle

    protected static final com.sas.servlet.tbeans.ImmutableStyleInfo EHSListStyle

### EHSChoiceBoxStyle

    protected static final com.sas.servlet.tbeans.ImmutableStyleInfo EHSChoiceBoxStyle

### EHSFontSizeChoiceBoxStyle

    protected static final com.sas.servlet.tbeans.ImmutableStyleInfo EHSFontSizeChoiceBoxStyle

### EHSFontChoiceBoxStyle

    protected static final com.sas.servlet.tbeans.ImmutableStyleInfo EHSFontChoiceBoxStyle

### EHSColorChoiceBoxStyle

    protected static final com.sas.servlet.tbeans.ImmutableStyleInfo EHSColorChoiceBoxStyle

### EHSComboBoxStyle

    protected static final com.sas.servlet.tbeans.ImmutableStyleInfo EHSComboBoxStyle

### EHSRadioStyle

    protected static final com.sas.servlet.tbeans.ImmutableStyleInfo EHSRadioStyle

### EHSCheckStyle

    protected static final com.sas.servlet.tbeans.ImmutableStyleInfo EHSCheckStyle

### EHSListEditorStyle

    protected static final com.sas.servlet.tbeans.ImmutableStyleInfo EHSListEditorStyle

Constructor Detail

### ExceptionHighlightingSelectorPanel

    public ExceptionHighlightingSelectorPanel()

  Default constructor.

### ExceptionHighlightingSelectorPanel

    public ExceptionHighlightingSelectorPanel(java.lang.String name)

  Constructor.

  Parameters:
    `name` - The name of the panel

Method Detail

### setupDefaultStyleMap

    protected static void setupDefaultStyleMap()

### setLocaleDependentProperties

    protected void setLocaleDependentProperties(java.util.Locale locale)

  Description copied from class: `BaseTransformation`
  Sets the locale dependent properties. Not operational at this level.

  Overrides:
    `setLocaleDependentProperties` in class `BaseTransformation`

### _setLocaleDependentProperties

    protected void _setLocaleDependentProperties(java.util.Locale locale)

  protected version of the method for setting locale dependent properties to avoid the overhead of protected method calls in the constructor per defect S0190664.

### getLocalizedApplyToRadioModel

    protected javax.swing.ListModel getLocalizedApplyToRadioModel()

### getLocalizedAddImageTextRadioModel

    protected javax.swing.ListModel getLocalizedAddImageTextRadioModel()

### getLocalizedImageTextPositionModel

    protected javax.swing.DefaultComboBoxModel getLocalizedImageTextPositionModel()

### write

    public void write(java.io.PrintWriter out)

  From DataSelectorInterface

  Specified by:
    `write` in interface `TransformationInterface`
  Specified by:
    `write` in interface `com.sas.util.WriteToPrintWriterInterface`
  Overrides:
    `write` in class `BaseCompositeTransformation`
  Parameters:
    `out` - The output stream

### writeJSIncludes

    protected void writeJSIncludes(java.io.PrintWriter out)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### addComponents

    protected void addComponents()

  Creates the components and add them to the selector template.

### setValuePickerValues

    protected void setValuePickerValues()

### setComponentValues

    protected void setComponentValues()

### addCategoriesToMeasureMap

    protected java.util.Map addCategoriesToMeasureMap(java.util.Map measureMap)

### initializeMenuBar

    protected void initializeMenuBar()

### getAdapter

    protected ExceptionHighlightingSelectorInterface getAdapter()

### getImagesModel

    protected java.util.List getImagesModel()

### getColorsModel

    protected ItemInterface[] getColorsModel()

### getFontModel

    protected ItemInterface[] getFontModel()

### getFontSizeModel

    protected ItemInterface[] getFontSizeModel()

### ListToComboModel

    protected javax.swing.ComboBoxModel ListToComboModel(java.util.List list)

### MapToComboModel

    protected javax.swing.ComboBoxModel MapToComboModel(java.util.Map map,
                                                        java.lang.String instructions)

### createTabComponents

    protected void createTabComponents()

### createRulesListDialogComponents

    protected void createRulesListDialogComponents()

  Create all the visual components for the rules management page

### createEditRuleComponents

    protected void createEditRuleComponents()

  Create all the visual components for the Rule tab of the edit rule page

### styleCombo

    protected void styleCombo(ComboBoxView combo)

### createEditRuleColorFontComponents

    protected void createEditRuleColorFontComponents()

  Create all the visual components for the Color and Font tab of the edit rule page

### createSelectLevelsComponents

    protected void createSelectLevelsComponents()

  Create all the visual components for the Color and Font tab of the edit rule page

### createSelectValuesComponents

    protected void createSelectValuesComponents()

  Create all the visual components for the Color and Font tab of the edit rule page

### createEditRuleImageTextComponents

    protected void createEditRuleImageTextComponents()

  Create all the visual components for the Image and Text tab of the edit rule page

### cancel

    public void cancel()

  Description copied from interface: `CancelInterface`
  Cancels the command.

  Common things done in this method:

  - Reset the command and/or the objects that this command holds.
  - Release objects for garbage collection

  Specified by:
    `cancel` in interface `CancelInterface`

### setActionProvider

    public void setActionProvider(HttpActionProvider ap)

  Description copied from class: `BaseSelectorPanel`
  Sets the HttpActionProvider object

  Specified by:
    `setActionProvider` in interface `HttpActionProviderInterface`
  Overrides:
    `setActionProvider` in class `BaseSelectorPanel`
  Parameters:
    `ap` - HttpActionProvider Object
  See Also:
    `HttpActionProviderInterface.getActionProvider()`

### setSelectorModel

    public void setSelectorModel(java.lang.Object selectorModel)

  Description copied from class: `BaseSelectorPanel`
  Sets the selector's data model

  Overrides:
    `setSelectorModel` in class `BaseSelectorPanel`
  Parameters:
    `selectorModel` - The selector's data model

### getSelectorModel

    public java.lang.Object getSelectorModel()

  Description copied from class: `BaseSelectorPanel`
  Returns the selector's data model

  Overrides:
    `getSelectorModel` in class `BaseSelectorPanel`
  Returns:
    The selector's data model

### writeRemoteScriptForm

    protected void writeRemoteScriptForm(java.io.PrintWriter out)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeRemoteScriptCommands

    public void writeRemoteScriptCommands(java.io.PrintWriter out)
                                   throws java.io.IOException

  Description copied from class: `SelectorPanel`
  Subclasses must implement this method to provide functionality for panels to react to remote script events. Data requested by a remote scripting action can be written back to the client on the output stream.

  Overrides:
    `writeRemoteScriptCommands` in class `SelectorPanel`
  Throws:
    `java.io.IOException`

### updateRuleContext

    protected void updateRuleContext(java.io.PrintWriter out,
                                     ExceptionHighlightingRuleInterface rule)

### addJSProp

    protected void addJSProp(java.lang.StringBuffer props,
                             java.lang.String prefix,
                             java.lang.String propName,
                             java.lang.String propValue)

### addJSProp

    protected void addJSProp(java.lang.StringBuffer props,
                             java.lang.String prefix,
                             java.lang.String propName,
                             boolean propValue)

### contentsChanged

    public void contentsChanged(com.sas.collection.ContentsChangedEvent event)

  Reads the values stored in the EventInfo by the ExceptionHighlightingCommand in the process() method (when remote javascript)

  Specified by:
    `contentsChanged` in interface `com.sas.collection.ContentsChangedListener`
  Overrides:
    `contentsChanged` in class `BaseSelectorPanel`
  Parameters:
    `event` - the event

### contentsChanged

    public void contentsChanged(java.util.Map info)

  The ExceptionHighglightingCommand generates a map of info that is interpreted by this method. The actual interpretation of the command occurs here.

  Parameters:
    `info` - The Map of information created by the command.

### setRemoteScriptURL

    public void setRemoteScriptURL(java.lang.String remoteScriptURL)

  Parameters:
    `remoteScriptURL` - The remoteScriptURL to set.

### getRemoteScriptURL

    protected java.lang.String getRemoteScriptURL()

### setFormName

    public void setFormName(java.lang.String formName)

  Allow to set a form name other than the one built internally if necessary

### initJavaScriptVariables

    protected void initJavaScriptVariables(java.io.PrintWriter out)

### setRemoteScriptParameterPrefix

    public void setRemoteScriptParameterPrefix(java.lang.String prefix)

### getRemoteScriptParameterPrefix

    public java.lang.String getRemoteScriptParameterPrefix()

### close

    public void close()

  Description copied from class: `SelectorPanel`
  Base implementation that does nothing.

  Subclasses may override this when they want to know a commit or cancel has occured on the selector.

  Overrides:
    `close` in class `SelectorPanel`

### getValuePickerAJAXControllerURL

    public java.lang.String getValuePickerAJAXControllerURL()

### setValuePickerAJAXControllerURL

    public void setValuePickerAJAXControllerURL(java.lang.String ajaxControllerURL)

### servletInvocationMethod

    public static void servletInvocationMethod(javax.servlet.http.HttpServletRequest request,
                                               javax.servlet.http.HttpServletResponse response)
                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### refreshValuePicker

    public static void refreshValuePicker(javax.servlet.http.HttpServletRequest request,
                                          javax.servlet.http.HttpServletResponse response,
                                          ExceptionHighlightingSelectorPanel ehPanel)

### refreshValuePicker

    public static void refreshValuePicker(javax.servlet.http.HttpServletRequest request,
                                          javax.servlet.http.HttpServletResponse response)

### getValuePickerDialog

    public void getValuePickerDialog(javax.servlet.http.HttpServletRequest request,
                                     javax.servlet.http.HttpServletResponse response,
                                     ExceptionHighlightingSelectorPanel panel)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.